/api/v0/auth/getToken

When a user's clientId and Secret are submitted, a Bearer token that can then be used with other API calls is returned.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Using a user's clientId and secret, Spreetail returns an access token. In our case, we return a JWT to be used as a Bearer Token.

This is the request body:

{
  "clientId": "string",
  "secret": "string"
}

This is the response body:

{
	"token": "string"
}

You can then use the “access_token” to call any secured endpoints:

curl --request GET \
  --url https://{ApiDomain}/api/v0/apiMethodCall \
  --header 'Authorization: Bearer {access_token}'
Body Params
string | null
required
string | null
required
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
string
enum
Defaults to application/json

Generated from available request content types

Allowed:
Responses

401

Unauthorized

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
text/plain
text/json